/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package métiers;

import java.util.ArrayList;

/**
 *
 * @author famille Thevenot
 */
public class Entreprise {
    private String raisonSociale;
    private ArrayList<Commande> lesCommandes = new ArrayList<>();
    private ArrayList<Instrument> lesInstruments = new ArrayList<>();

    public Entreprise(String raisonSociale) {
        this.raisonSociale = raisonSociale;
    }

    public String getRaisonSociale() {
        return raisonSociale;
    }

    public void setRaisonSociale(String raisonSociale) {
        this.raisonSociale = raisonSociale;
    }

    @Override
    public String toString() {
        return "Entreprise{" + "raisonSociale=" + raisonSociale + '}';
    }
    
    
    public void ajouterCommande(Commande uneCommande){
        lesCommandes.add(uneCommande);
    }
    
    public void supprimerCommande(Commande uneCommande){
        lesCommandes.remove(uneCommande);
    }
    
    public Commande rechercherCommande(int noCom){
        Commande uneCommande = null;
        for(Commande laCommande : lesCommandes){
            if(laCommande.noCom == noCom){
                uneCommande = laCommande;
                break;
            }
        }
        return uneCommande;
    }
}
